## zynaddsubfx 2.4.0

=== src/Makefile ===
--- 
+++ 
@@ -1,17 +1,17 @@
 include Makefile.inc
 
 ifneq ($(MAKECMDGOALS),debug)
-  CXXFLAGS= -O6 -Wall 
+  CXXFLAGS= -O6 -Wall -g 
 else 
-  CXXFLAGS= -O0 -Wall -Wpointer-arith -Wstrict-prototypes
+  CXXFLAGS= -O0 -Wall -Wpointer-arith 
 endif
 
-CXXFLAGS += -DOS_$(OS_PORT) -D$(MIDIIN)MIDIIN -DFFTW_VERSION_$(FFTW_VERSION) -DASM_F2I_$(ASM_F2I)
+CXXFLAGS += -DOS_$(OS_PORT) -D$(MIDIIN)MIDIIN -DFFTW_VERSION_$(FFTW_VERSION) -DASM_F2I_$(ASM_F2I) -ggdb
 
 ifeq ($(DISABLE_GUI),YES)
     CXXFLAGS += -DDISABLE_GUI
 else
-    CXXFLAGS += `fltk-config --cflags` 
+    CXXFLAGS += -DFLTK_GUI `fltk-config --cflags` 
 endif
 
 ifeq ($(AUDIOOUT),OSS_AND_JACK)
@@ -70,8 +70,14 @@
 LIBS+= `pkg-config --libs jack`
 endif
 
+ifeq ($(LINUX_USE_LASH),YES)
+CXXFLAGS += `pkg-config --cflags lash-1.0` -DUSE_LASH
+LIBS+= `pkg-config --libs lash-1.0`
+endif
+
+
 objects=main.o
-SUBDIRS=DSP Effects Input Misc Output Params Synth Seq
+SUBDIRS=Controls DSP Effects Input Misc Output Params Samples Synth Seq
 
 .PHONY: subdirs $(SUBDIRS)
 
@@ -80,7 +86,7 @@
 
 	$(MAKE) -C UI $@
 #	@sh -c "cd UI ; $(CXX) -MM -MG -w *.cc >> ../Make.deps ; cd .."
-	@for name in $(SUBDIRS); do sh -c "cd $$name ; $(CXX) -MM -MG -w *.C >> ../Make.deps ; cd .."; done
+	@for name in $(SUBDIRS); do sh -c "cd $$name ; $(CXX) -MM -MG -w *.cpp >> ../Make.deps ; cd .."; done
 	$(MAKE) subdirs
 	$(MAKE) objs
 	rm -f zynaddsubfx zynaddsubfx.exe
@@ -123,5 +129,6 @@
 	@for name in $(SUBDIRS); do sh -c "make -C $$name $@"; done
 	rm -f Make.deps
 	rm -f */*.o *.o
+	rm -f ./*/*~ ./*~
 	$(MAKE) -C UI $@
