=== src/Controls/Makefile ===
include ../Makefile.inc

objects=Control.o DelayCtl.o


all: $(objects)

-include ../Make.deps

.PHONY : clean
clean: 
	rm -f $(objects)
	rm -f makeinclude.deps
