=== src/Samples/Makefile ===
include ../Makefile.inc

objects=Sample.o AuSample.o FqSample.o


all: $(objects)

-include ../Make.deps

.PHONY : clean
clean: 
	rm -f $(objects)
	rm -f makeinclude.deps
