=== src/Seq/Makefile ===
include ../Makefile.inc

objects=MIDIEvents.o MIDIFile.o Sequencer.o


all: $(objects)

-include ../Make.deps

.PHONY : clean
clean: 
	rm -f $(objects)
	rm -f makeinclude.deps
