=== debian/control ===
Source: zynaddsubfx
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends:
 cmake (>= 2.4),
 debhelper (>= 9.20120417~),
 fluid (>= 1.1.3+1.1.4rc1),
 libasound2-dev (>= 0.9.4) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libfftw3-dev,
 libfltk1.1-dev (>= 1.1.3+1.1.4rc1),
 libjack-dev,
 liblo-dev (>= 0.26~repack),
 dssi-dev (>= 0.9.0),
 libmxml-dev (>= 2.0),
 zlib1g-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/zynaddsubfx.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/zynaddsubfx.git
Homepage: http://zynaddsubfx.sourceforge.net

Package: zynaddsubfx
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Realtime software synthesizer for Linux
 A real-time software synthesizer for Linux and Windows with many
 features, including polyphony, multi-timbral and microtonal
 capabilities. It includes randomness of some parameters, which
 makes warm sounds, like analogue synthesizers.
 It has system/insertion effects too, and much more.

Package: zynaddsubfx-dssi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: dssi plugin of zynaddsubfx
 A real-time software synthesizer for Linux and Windows with many
 features, including polyphony, multi-timbral and microtonal
 capabilities. It includes randomness of some parameters, which
 makes warm sounds, like analogue synthesizers.
 It has system/insertion effects too, and much more.
 .
 This package provide dssi plugin of zynaddsubfx.

Package: zynaddsubfx-dbg
Architecture: any
Section: debug
Priority: extra
Depends:
 zynaddsubfx (= ${binary:Version}),
 ${misc:Depends}
Description: Debugging symbols for zynaddsubfx
 A real-time software synthesizer for Linux and Windows with many
 features, including polyphony, multi-timbral and microtonal
 capabilities. It includes randomness of some parameters, which
 makes warm sounds, like analogue synthesizers.
 It has system/insertion effects too, and much more.
 .
 This package contains the debugging symbols.
